Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoEngineOutputList Class Reference
[Engine classes]

`#include <Inventor/lists/SoEngineOutputList.h>`

Inheritance diagram for SoEngineOutputList:

List of all members.

## Detailed Description

The SoEngineOutputList class is a container for SoEngineOutput objects.

See also:
  SbList

## Public Member Functions
| SoEngineOutputList (void)
| SoEngineOutputList (const int sizehint)
| SoEngineOutputList (const SoEngineOutputList &l)
void | append (SoEngineOutput *output)
void | insert (SoEngineOutput *output, const int insertbefore)
SoEngineOutput * | operator[] (const int idx) const
void | set (const int idx, SoEngineOutput *item)

## Constructor & Destructor Documentation

SoEngineOutputList::SoEngineOutputList | ( | void |  | ) | `[inline]`

| Default constructor.

SoEngineOutputList::SoEngineOutputList | ( | const int | sizehint | ) | `[inline]`

| This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

SoEngineOutputList::SoEngineOutputList | ( | const SoEngineOutputList & | l | ) | `[inline]`

| Copy constructor.

## Member Function Documentation

SoEngineOutput* SoEngineOutputList::operator[] | ( | const int | idx | ) | const`[inline]`

| Returns element at index. Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to `NULL`. Reimplemented from SbPList.

The documentation for this class was generated from the following files:

- SoEngineOutputList.h
- SoEngineOutputList.cpp